<div class="p-20">
	<div class="mb-20">
		<h3 fxFlex=""> Конкурсные списки с учетом рейтинга </h3>

		<div>
			<button mat-flat-button
				(click)="addPackage()"
				color="accent"> Загрузить новый пакет </button>

		</div>

	</div>

	<app-loader *ngIf="isLoad"></app-loader>

	<div>
		<mat-form-field appearance="outline" fxFlex="">
			<input matInput type="text"
				[(ngModel)]="params.search_name"
				(ngModelChange)="search.next($event)"
				placeholder="Поиск по наименованию пакета"  >
			<button *ngIf="params.search_name" mat-icon-button matSuffix aria-label="Clear"
				(click)="params.search_name=''; search.next('') ">
				<mat-icon matSuffix svgIcon="close" ></mat-icon>
			</button>
		</mat-form-field>
	</div>

	<div class="art-card"
		[@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">
		<table mat-table [dataSource]="packages"
			matSort (matSortChange)="sortEvent.next($event)"
			[matSortActive]="params.sortby" [matSortDirection]="params.order">
			<ng-container matColumnDef="id">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="id"> ID </th>
				<td mat-cell *matCellDef="let row"> {{ row.id }}</td>
			</ng-container>



			<ng-container matColumnDef="name">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="name"> Наименование </th>
				<td mat-cell *matCellDef="let row"> {{ row.name }} </td>
			</ng-container>


			<ng-container matColumnDef="count_all">
				<th mat-header-cell *matHeaderCellDef  mat-sort-header="count_all"> Кол-во данных</th>
				<td mat-cell *matCellDef="let row"> {{ row.count_all }}</td>
			</ng-container>

			<ng-container matColumnDef="count_add">
				<th mat-header-cell *matHeaderCellDef  mat-sort-header="count_add"> Добавлено данных</th>
				<td mat-cell *matCellDef="let row"> {{ row.count_add }}</td>
			</ng-container>


			<ng-container matColumnDef="status">
				<th mat-header-cell *matHeaderCellDef  mat-sort-header="id_status"> Статус</th>
				<td mat-cell *matCellDef="let row">
					<span class="label"
						[ngClass]="{'background-color-blue' : row.code_status == 'new',
									'background-color-yellow' : row.code_status == 'get',
						 			'background-color-success' : row.code_status == 'public',
						 			'background-color-warn' : row.code_status == 'error'}">
						{{ row.name_status }}
					</span>

				</td>
			</ng-container>

			<ng-container matColumnDef="created">
				<th mat-header-cell *matHeaderCellDef  mat-sort-header="created"> Дата загрузки</th>
				<td mat-cell *matCellDef="let row"> {{ row.created | date: ' dd.MM.yyyy &nbsp;&nbsp; HH:mm:ss' }}</td>
			</ng-container>

			<ng-container matColumnDef="duration">
				<th mat-header-cell *matHeaderCellDef  mat-sort-header="duration"> Время обработки (в сек.) </th>
				<td mat-cell *matCellDef="let row" class="text-center"> {{ (row.duration  | number : '1.0-2') || 0}} </td>
			</ng-container>


			<ng-container matColumnDef="error">
				<th mat-header-cell *matHeaderCellDef  > </th>
				<td mat-cell *matCellDef="let row">
					<div *ngIf="row.error || row.count_all > row.count_add " fxLayoutAlign="start center">
						<mat-icon svgIcon="alert-outline" class="mr-8"></mat-icon>
						<i *ngIf="row.error"> {{ row.error }}  </i>
						<i *ngIf="!row.error && (row.count_all > row.count_add)">
							Были добавлены не все записи из пакета
						</i>
					</div>

				</td>
			</ng-container>

			<ng-container matColumnDef="downloadPackage">
				<th mat-header-cell *matHeaderCellDef > </th>
				<td mat-cell *matCellDef="let row">
					<button mat-icon-button (click)="getPackage(row.id, row.name); $event.stopPropagation()">
						<mat-icon svgIcon="download"></mat-icon>
					</button>

				</td>
			</ng-container>


			<ng-container matColumnDef="noRecord">
				<td mat-footer-cell *matFooterCellDef  [colSpan]="displayedColumns.length" ><i>Пакеты не найдены</i> </td>
			</ng-container>

			<tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: false"></tr>
			<tr mat-row
				class="table-row"
				[routerLink]="['./', item.id]"
				*matRowDef="let item; columns: displayedColumns; " >

			</tr>
			<tr mat-row *matFooterRowDef="['noRecord'] " [hidden]="packages.length" ></tr>

		</table>
		<mat-paginator  [length]="total"
			[pageIndex]="params.page - 1"
			[pageSize]="params.limit"
			(page)="pagination.next($event)"
			[pageSizeOptions]="pageSizeOptions"
			showFirstLastButtons>
		</mat-paginator>
	</div>

</div>
